import {_agency} from '@/shared/_mock/_agency';
import AgencyView from '@/shared/sections/agency/details/AgencyView'

// ----------------------------------------------------------------------

export const metadata = {
  title: 'Dashboard: Agency Details',
};

type Props = {
  params: {
    id: string;
  };
};

export default function AgencyDetailsPage({ params }: Props) {
  const { id } = params;

 return <AgencyView id={id} />
}
export async function generateStaticParams() {
  return _agency.map((agency) => ({
    id: agency.id,
  }));
}
